Alokai

SapccApiGetOrgCustomersRequest

Request parameters for getOrgCustomers operation in SapccApi. SapccApiGetOrgCustomersRequest

interface SapccApiGetOrgCustomersRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrgCustomers
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetOrgCustomers
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetOrgCustomers
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetOrgCustomers
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetOrgCustomers
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrgCustomers

On this page